### Syncfusion ASP.NET MVC PDF Library
The Syncfusion [.NET Framework PDF library](https://www.syncfusion.com/pdf-framework/net/pdf-library?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) (Essential PDF) is a feature-rich and high-performance .NET Framework PDF library that is used to create, read, and edit PDF documents programmatically without Adobe dependencies.

![ASP.NET MVC Pdf Library](https://cdn.syncfusion.com/nuget-readme/fileformats/net-pdf-library.png)

[Features overview](https://www.syncfusion.com/pdf-framework/net?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | [Docs](https://help.syncfusion.com/file-formats/pdf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | [API Reference](https://help.syncfusion.com/cr/file-formats/Syncfusion.Pdf.html?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | [Online Demo](https://ej2.syncfusion.com/aspnetmvc/PDF/Default?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#/bootstrap5) | [Blogs](https://www.syncfusion.com/blogs/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget&s=pdf) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | [Forums](https://www.syncfusion.com/forums?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)

### Key Features

* Support to [create PDF files](https://help.syncfusion.com/file-formats/pdf/create-pdf-file-in-asp-net-mvc?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) from scratch.
* Open, modify and save existing PDF files.
* Support to add [text](https://help.syncfusion.com/file-formats/pdf/working-with-text?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), various formats of [images](https://help.syncfusion.com/file-formats/pdf/working-with-images?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [tables](https://help.syncfusion.com/file-formats/pdf/working-with-tables?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [shapes](https://help.syncfusion.com/file-formats/pdf/working-with-shapes?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).
* Support for [creation](https://help.syncfusion.com/file-formats/pdf/working-with-forms#creating-a-new-pdf-form?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [filling](https://help.syncfusion.com/file-formats/pdf/working-with-forms#filling-form-fields-in-an-existing-pdf-document?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [flattening](https://help.syncfusion.com/file-formats/pdf/working-with-forms#removing-editing-capability-of-form-fields?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) forms (AcroForms and XFA).
* Support to [compress](https://help.syncfusion.com/file-formats/pdf/working-with-compression?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) existing PDF files.
* Ability to [merge](https://help.syncfusion.com/file-formats/pdf/merge-documents?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and split PDF files.
* Ability to convert [HTML](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions#mhtml-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [RTF](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions#converting-rtf-documents-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Word](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions#converting-word-documents-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Excel](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions#converting-excel-documents-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [PowerPoint](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [XPS](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions#converting-xps-document-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) to PDF.
* Ability to [encrypt and decrypt PDF](https://help.syncfusion.com/file-formats/pdf/working-with-security?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) files with advanced standards.
* Support to add, modify and remove interactive elements such as [bookmarks](https://help.syncfusion.com/file-formats/pdf/working-with-bookmarks?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [annotations](https://help.syncfusion.com/file-formats/pdf/working-with-annotations?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [attachments](https://help.syncfusion.com/file-formats/pdf/working-with-attachments?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).
* Support to add [barcode](https://help.syncfusion.com/file-formats/pdf/working-with-barcode?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) in the PDF files.
* Support to convert [PDF to PDF/A-1B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance#converting-pdf-to-pdfa-1b?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) conformance.
* Support for [PDF/X1-A](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance#adding-support-for-pdfa-1b-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget),[PDF/A1-B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance#adding-support-for-pdfa-1b-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget),[PDF/A3-B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance#adding-support-for-pdfa-1b-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [PDF/A1-B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance#adding-support-for-pdfa-3b-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) conformances.
* Support to create [accessible PDF or tagged PDF (PDF/UA)](https://help.syncfusion.com/file-formats/pdf/working-with-tagged-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) with section 508 compliant.
* Support to [redact text and images](https://help.syncfusion.com/file-formats/pdf/working-with-redaction?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) in the PDF files.
* Support to digitally [sign](https://help.syncfusion.com/file-formats/pdf/working-with-digitalsignature?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [validate](https://help.syncfusion.com/file-formats/pdf/working-with-digitalsignature?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) the signature in PDF document.
* Support to [find the corrupted PDF document](https://help.syncfusion.com/file-formats/pdf/working-with-document#find-corrupted-pdf-document?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).
* Support to run the PDF applications in multi-thread and its thread-safe.

### System Requirements

* [System Requirements](https://help.syncfusion.com/file-formats/installation-and-upgrade/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)

### Getting started

You can fetch the Syncfusion .NET PDF library NuGet by simply running the command Install-Package [Syncfusion.Pdf.AspNet.Mvc5](https://www.nuget.org/packages/Syncfusion.Pdf.AspNet.Mvc5/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) from the Package Manager Console in Visual Studio.

Try the following code example to create a hello world PDF document.

```csharp
using (PdfDocument document = new PdfDocument())
{
//Add a page to the document
PdfPage page = document.Pages.Add();
//Create PDF graphics for the page
PdfGraphics graphics = page.Graphics;
//Set the standard font
PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20);
//Draw the text
graphics.DrawString("Hello World!!!", font, PdfBrushes.Black, new PointF(0, 0));
// Open the document in browser after saving it
document.Save("Output.pdf", HttpContext.Current.Response, HttpReadType.Save);
}
```

For more information to get started, refer to our [Getting Started Documentation page](https://help.syncfusion.com/file-formats/pdf/create-pdf-file-in-c-sharp-vb-net?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).

### License

This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget). You can purchase a license [here](https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).

### About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 27,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
Today, we provide 1700+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [ASP.NET Web Forms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), and [jQuery](https://www.syncfusion.com/jquery-ui-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)), mobile ([.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget),[Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20PDFASPNETMVC%20pdf%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | Toll Free: 1-888-9 DOTNET



